Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Interface DataValidationHelper

All Known Implementing Classes:
  HSSFDataValidationHelper, XSSFDataValidationHelper

    public interface DataValidationHelper

Author:
  Radhakrishnan J

Method Summary
`DataValidationConstraint` | `createCustomConstraint(java.lang.String formula)`
`DataValidationConstraint` | `createDateConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2, java.lang.String dateFormat)`
`DataValidationConstraint` | `createDecimalConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2)`
`DataValidationConstraint` | `createExplicitListConstraint(java.lang.String[] listOfValues)`
`DataValidationConstraint` | `createFormulaListConstraint(java.lang.String listFormula)`
`DataValidationConstraint` | `createIntegerConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2)`
`DataValidationConstraint` | `createNumericConstraint(int validationType, int operatorType, java.lang.String formula1, java.lang.String formula2)`
`DataValidationConstraint` | `createTextLengthConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2)`
`DataValidationConstraint` | `createTimeConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2)`
`DataValidation` | `createValidation(DataValidationConstraint constraint, CellRangeAddressList cellRangeAddressList)`

Method Detail

### createFormulaListConstraint

    DataValidationConstraint createFormulaListConstraint(java.lang.String listFormula)

### createExplicitListConstraint

    DataValidationConstraint createExplicitListConstraint(java.lang.String[] listOfValues)

### createNumericConstraint

    DataValidationConstraint createNumericConstraint(int validationType,
                                                     int operatorType,
                                                     java.lang.String formula1,
                                                     java.lang.String formula2)

### createTextLengthConstraint

    DataValidationConstraint createTextLengthConstraint(int operatorType,
                                                        java.lang.String formula1,
                                                        java.lang.String formula2)

### createDecimalConstraint

    DataValidationConstraint createDecimalConstraint(int operatorType,
                                                     java.lang.String formula1,
                                                     java.lang.String formula2)

### createIntegerConstraint

    DataValidationConstraint createIntegerConstraint(int operatorType,
                                                     java.lang.String formula1,
                                                     java.lang.String formula2)

### createDateConstraint

    DataValidationConstraint createDateConstraint(int operatorType,
                                                  java.lang.String formula1,
                                                  java.lang.String formula2,
                                                  java.lang.String dateFormat)

### createTimeConstraint

    DataValidationConstraint createTimeConstraint(int operatorType,
                                                  java.lang.String formula1,
                                                  java.lang.String formula2)

### createCustomConstraint

    DataValidationConstraint createCustomConstraint(java.lang.String formula)

### createValidation

    DataValidation createValidation(DataValidationConstraint constraint,
                                    CellRangeAddressList cellRangeAddressList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.